### Signal

# Gtk CellArea::focus-changed

#### Declaration

    void
    focus_changed (
      GtkCellArea* self,
      GtkCellRenderer* renderer,
      gchar* path,
      gpointer user_data
    )

#### Description [src]

Indicates that focus changed on this `area`. This signal is emitted either as a result of focus handling or event handling.

It’s possible that the signal is emitted even if the currently focused renderer did not change, this is because focus may change to the same renderer in the same cell area for a different row of data.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` that has focus.

  The data is owned by the caller of the function.

`path`

  Type: `gchar*`

  The current `GtkTreePath` string set for `area`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.